Subject: Icedtea updates

From: Leo Famulari <[email-masked]>
Date: Thu, 15 Mar 2018 14:34:59 -0400

These patches update Icedtea 2 and 3 (Java 7 and 8, respectively).

Usually I push these without review after making sure they build, but I
noticed a lot of Java-related activity lately, so I'm sending them in
for review.